# POST /addoncategory — Create Category

> Product: **Pabbly Subscription Billing** (v1)
> Base URL: `https://payments.pabbly.com/api/v1`
> Auth: Basic via `Authorization` header
> Canonical: `/subscription-billing/add-on-category/create-category`

You can use this API when you want to create a category for the added add-ons. The API will be fired in POST request and in the form data you will need to add the category name and product Id. In response a category will be created which you can add in the add-on.

**Body parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| category_name | string | Yes | Category name under which your add-on will be nested |
| product_id | string | Yes | The relatable product Id |

**Example request body:**

```json
{
	"category_name": "Addon Category 5",
	"product_id": "5e3a95143c92e44b424b6d47"
}
```

**Response (200)** — Create Category:

```json
{
    "status": "success",
    "message": "Category Created",
    "data": "Category Created"
}
```

**Code examples:**

_cURL_

```curl
curl -X POST https://payments.pabbly.com/api/v1/addoncategory \
  -u {{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}} \
  -H "Content-Type: application/json" \
  -d '{
    "category_name": "Addon Category 5",
    "product_id": "5e3a95143c92e44b424b6d47"
  }'
```

_Ruby_

```ruby
require 'net/http'
require 'json'

uri = URI('https://payments.pabbly.com/api/v1/addoncategory')
request = Net::HTTP::Post.new(uri)
request.basic_auth '{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'
request['Content-Type'] = 'application/json'
request.body = "{\"category_name\":\"Addon Category 5\",\"product_id\":\"5e3a95143c92e44b424b6d47\"}"

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == 'https') do |http|
  http.request(request)
end

data = JSON.parse(response.body)
```

_Python_

```python
import requests
from requests.auth import HTTPBasicAuth

response = requests.post(
    'https://payments.pabbly.com/api/v1/addoncategory',
    auth=HTTPBasicAuth('{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'),
    json={
    'category_name': 'Addon Category 5',
    'product_id': '5e3a95143c92e44b424b6d47'
},
)

data = response.json()
```

_PHP_

```php
<?php
$ch = curl_init('https://payments.pabbly.com/api/v1/addoncategory');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($ch, CURLOPT_USERPWD, '{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}');
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{"category_name":"Addon Category 5","product_id":"5e3a95143c92e44b424b6d47"}');

$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
```

_Java_

```java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

String credentials = Base64.getEncoder().encodeToString("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}".getBytes());

HttpClient client = HttpClient.newHttpClient();
HttpRequest.Builder builder = HttpRequest.newBuilder()
    .uri(URI.create("https://payments.pabbly.com/api/v1/addoncategory"))
    .header("Authorization", "Basic " + credentials)
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\"category_name\":\"Addon Category 5\",\"product_id\":\"5e3a95143c92e44b424b6d47\"}"));

HttpRequest request = builder.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```

_Node.js_

```node
const credentials = Buffer.from('{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}').toString('base64');

const response = await fetch('https://payments.pabbly.com/api/v1/addoncategory', {
  method: 'POST',
  headers: {
    'Authorization': `Basic ${credentials}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "category_name": "Addon Category 5",
    "product_id": "5e3a95143c92e44b424b6d47"
  }),
});

const data = await response.json();
```

_Go_

```go
package main

import (
    "fmt"
    "io"
    "net/http"
    "strings"
)

func main() {
    payload := strings.NewReader("{\"category_name\":\"Addon Category 5\",\"product_id\":\"5e3a95143c92e44b424b6d47\"}")
    req, _ := http.NewRequest("POST", "https://payments.pabbly.com/api/v1/addoncategory", payload)
    req.Header.Set("Content-Type", "application/json")
    req.SetBasicAuth("{{YOUR_API_KEY}}", "{{YOUR_SECRET_KEY}}")

    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
```

_.NET_

```dotnet
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

var credentials = Convert.ToBase64String(Encoding.ASCII.GetBytes("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}"));

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://payments.pabbly.com/api/v1/addoncategory");
request.Headers.TryAddWithoutValidation("Authorization", $"Basic {credentials}");
request.Content = new StringContent("{\"category_name\":\"Addon Category 5\",\"product_id\":\"5e3a95143c92e44b424b6d47\"}");
request.Content.Headers.ContentType = new MediaTypeHeaderValue("application/json");

var response = await client.SendAsync(request);
var data = await response.Content.ReadAsStringAsync();
Console.WriteLine(data);
```

---

**Other endpoints in Add-on Category:**

- [GET /addoncategory/{{addon_id}} — Get Single Category](/subscription-billing/add-on-category/get-single-category)
- [GET /addonlistcategory/{{product_id}} — List All Addon Categories By Product Id:](/subscription-billing/add-on-category/list-all-addon-categories-by-product-id)
- [PUT /addoncategory/{{category_id}} — Update Category](/subscription-billing/add-on-category/update-category)
- [DELETE /addoncategory/{{categroy_id}} — Delete Addon Category](/subscription-billing/add-on-category/delete-addon-category)

